Bug 32173 - Add count of total titles in list to staff client view
Summary: Add count of total titles in list to staff client view
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-10 21:09 UTC by Lucas Gass
Modified: 2023-01-24 18:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.02


Attachments
Bug 32173: Add list count to shelves.tt (1.43 KB, patch)
2022-11-10 21:18 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 32173: Add list count to shelves.tt (1.48 KB, patch)
2022-11-10 22:21 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 32173: Add list count to shelves.tt (1.54 KB, patch)
2022-12-21 07:45 UTC, Fridolin Somers
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-11-10 21:09:52 UTC
In the OPAC, when viewing a list there is a line that reads "This list contains X titles". 

The staff side list view should include the same.
Comment 1 Lucas Gass 2022-11-10 21:18:57 UTC
Created attachment 143729 [details] [review]
Bug 32173: Add list count to shelves.tt

To test:
1. Build a list and look at it in the staff client.
2. No indication of how many items are in the list.
3. Apply patch and look again
4. You should see "This list contains x titles"
Comment 2 ByWater Sandboxes 2022-11-10 22:21:30 UTC
Created attachment 143731 [details] [review]
Bug 32173: Add list count to shelves.tt

To test:
1. Build a list and look at it in the staff client.
2. No indication of how many items are in the list.
3. Apply patch and look again
4. You should see "This list contains x titles"

Signed-off-by: Barbara Johnson  <barbara.johnson@swbell.net>
Comment 3 Fridolin Somers 2022-12-21 07:45:16 UTC
One small inconstancy, the lists table "contents" column says "X items".
It should say "X titles".
This is for another bug report.
Comment 4 Fridolin Somers 2022-12-21 07:45:56 UTC
Created attachment 144765 [details] [review]
Bug 32173: Add list count to shelves.tt

To test:
1. Build a list and look at it in the staff client.
2. No indication of how many items are in the list.
3. Apply patch and look again
4. You should see "This list contains x titles"

Signed-off-by: Barbara Johnson  <barbara.johnson@swbell.net>
Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 5 Tomás Cohen Arazi 2022-12-27 14:02:32 UTC
The titles table should be adapted to be more similar to what we have in other places in Koha i.e. pagination, count, etc should all be DT controlled.
Comment 6 Tomás Cohen Arazi 2022-12-27 14:09:22 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 7 Jacob O'Mara 2023-01-13 11:55:25 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.
Comment 8 Lucas Gass 2023-01-24 18:00:16 UTC
Enhancement won't be backported to 22.05.x